gtk-0.12.5.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.Selectors.FileChooserButton

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A button to launch a file selection dialog

- Module available since Gtk+ version 2.6

Synopsis

- data FileChooserButton
- class HBoxClass o => FileChooserButtonClass o
- castToFileChooserButton :: GObjectClass obj => obj -> FileChooserButton
- gTypeFileChooserButton :: GType
- toFileChooserButton :: FileChooserButtonClass o => o -> FileChooserButton
- fileChooserButtonNew :: String -> FileChooserAction -> IO FileChooserButton
- fileChooserButtonNewWithBackend :: String -> FileChooserAction -> String -> IO FileChooserButton
- fileChooserButtonNewWithDialog :: FileChooserDialogClass dialog => dialog -> IO FileChooserButton
- fileChooserButtonGetTitle :: FileChooserButtonClass self => self -> IO String
- fileChooserButtonSetTitle :: FileChooserButtonClass self => self -> String -> IO ()
- fileChooserButtonGetWidthChars :: FileChooserButtonClass self => self -> IO Int
- fileChooserButtonSetWidthChars :: FileChooserButtonClass self => self -> Int -> IO ()
- fileChooserButtonDialog :: (FileChooserButtonClass self, FileChooserDialogClass fileChooserDialog) => WriteAttr self fileChooserDialog
- fileChooserButtonTitle :: FileChooserButtonClass self => Attr self String
- fileChooserButtonWidthChars :: FileChooserButtonClass self => Attr self Int

# Detail

The `FileChooserButton` is a widget that lets the user select a file. It implements the `FileChooser` interface. Visually, it is a file name with a button to bring up a `FileChooserDialog`. The user can then use that dialog to change the file associated with that button. This widget does not support setting the "select-multiple" property to `True`.

The `FileChooserButton` supports the `FileChooserAction`s `FileChooserActionOpen` and `FileChooserActionSelectFolder`.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Box
     | +----HBox
     | +----FileChooserButton

# Types

data FileChooserButton

Instances

Eq FileChooserButton |
Ord FileChooserButton |
GObjectClass FileChooserButton |
FileChooserClass FileChooserButton |
FileChooserButtonClass FileChooserButton |
HBoxClass FileChooserButton |
BoxClass FileChooserButton |
ContainerClass FileChooserButton |
WidgetClass FileChooserButton |
ObjectClass FileChooserButton |

class HBoxClass o => FileChooserButtonClass o

Instances

FileChooserButtonClass FileChooserButton |

castToFileChooserButton :: GObjectClass obj => obj -> FileChooserButton

gTypeFileChooserButton :: GType

toFileChooserButton :: FileChooserButtonClass o => o -> FileChooserButton

# Constructors

fileChooserButtonNew

Arguments

:: String | `title` - the title of the browse dialog.
-> FileChooserAction | `action` - the open mode for the widget.
-> IO FileChooserButton |

Creates a new file-selecting button widget.

fileChooserButtonNewWithBackend

Arguments

:: String | `title` - the title of the browse dialog.
-> FileChooserAction | `action` - the open mode for the widget.
-> String | `backend` - the name of the file system backend to use.
-> IO FileChooserButton |

Creates a new file-selecting button widget using `backend`.

Removed in Gtk3.

fileChooserButtonNewWithDialog

Arguments

:: FileChooserDialogClass dialog |
=> dialog | `dialog` - the `FileChooserDialog` widget to use.
-> IO FileChooserButton |

Creates a `FileChooserButton` widget which uses `dialog` as it's file-picking window.

# Methods

fileChooserButtonGetTitle

Arguments

:: FileChooserButtonClass self |
=> self |
-> IO String | returns a pointer to the browse dialog's title.

Retrieves the title of the browse dialog used by the button.

fileChooserButtonSetTitle

Arguments

:: FileChooserButtonClass self |
=> self |
-> String | `title` - the new browse dialog title.
-> IO () |

Modifies the `title` of the browse dialog used by the button.

fileChooserButtonGetWidthChars

Arguments

:: FileChooserButtonClass self |
=> self |
-> IO Int | returns an integer width (in characters) that the button will use to size itself.

Retrieves the width in characters of the `button` widget's entry and/or label.

fileChooserButtonSetWidthChars

Arguments

:: FileChooserButtonClass self |
=> self |
-> Int | `nChars` - the new width, in characters.
-> IO () |

Sets the width (in characters) that the button will use to `nChars`.

# Attributes

fileChooserButtonDialog :: (FileChooserButtonClass self, FileChooserDialogClass fileChooserDialog) => WriteAttr self fileChooserDialog

Instance of the `FileChooserDialog` associated with the button.

fileChooserButtonTitle :: FileChooserButtonClass self => Attr self String

Title to put on the `FileChooserDialog` associated with the button.

Default value: "Select A File"

fileChooserButtonWidthChars :: FileChooserButtonClass self => Attr self Int